-- blocks out debug messages on the test server

local block = (gkini.ReadInt("dedebug", "block", 0) == 1)
local debugstr = chatinfo.CHAT_MSG_MISSION[1].."[debug]"

local function modify_printsecondarymsg()
	local PrintSecondaryMsg_old = HUD.PrintSecondaryMsg
	function HUD:PrintSecondaryMsg(msg)
		if block and
		   GetUserName():sub(1,5) == "test:" and
		   type(msg) == "string" and msg:sub(1,14) == debugstr then
			return
		end

		return PrintSecondaryMsg_old(HUD, msg)
	end
end
modify_printsecondarymsg()


local function modify_hudreload()
	local reload_old = HUD.Reload
	function HUD:Reload()
		reload_old(HUD)
		modify_printsecondarymsg()
		modify_hudreload()
	end
end
modify_hudreload()


local function dedebug_cb(_, args)
	block = not block
	gkini.WriteInt("dedebug", "block", block and 1 or 0)
	print("blocking debug messages: "..tostring(block))
end
RegisterUserCommand("dedebug", dedebug_cb)
